# Uses of Interface
waffle.windows.auth.IWindowsIdentity

Packages that use IWindowsIdentity
Package
Description
waffle.servlet
Waffle JNA Servlet Package.
waffle.servlet.spi
Waffle JNA Servlet SPI Package.
waffle.windows.auth
Waffle JNA Windows Authorization Package.
waffle.windows.auth.impl
Waffle JNA Windows Authorization Implementation Package.

## Uses of IWindowsIdentity in waffle.servlet

Methods in waffle.servlet that return IWindowsIdentity
Modifier and Type
Method
Description
`IWindowsIdentity`
WindowsPrincipal.`getIdentity()`
Underlying identity.
Constructors in waffle.servlet with parameters of type IWindowsIdentity
Modifier
Constructor
Description
``
`AutoDisposableWindowsPrincipal(IWindowsIdentity windowsIdentity)`
Instantiates a new auto disposable windows principal.
``
`AutoDisposableWindowsPrincipal(IWindowsIdentity windowsIdentity, PrincipalFormat principalFormat, PrincipalFormat roleFormat)`
Instantiates a new auto disposable windows principal.
``
`WindowsPrincipal(IWindowsIdentity windowsIdentity)`
A windows principal.
``
`WindowsPrincipal(IWindowsIdentity windowsIdentity, PrincipalFormat principalFormat, PrincipalFormat roleFormat)`
A windows principal.

## Uses of IWindowsIdentity in waffle.servlet.spi

Methods in waffle.servlet.spi that return IWindowsIdentity
Modifier and Type
Method
Description
`IWindowsIdentity`
BasicSecurityFilterProvider.`doFilter(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`IWindowsIdentity`
NegotiateSecurityFilterProvider.`doFilter(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`IWindowsIdentity`
SecurityFilterProvider.`doFilter(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
Execute filter.
`IWindowsIdentity`
SecurityFilterProviderCollection.`doFilter(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
Filter.

## Uses of IWindowsIdentity in waffle.windows.auth

Methods in waffle.windows.auth that return IWindowsIdentity
Modifier and Type
Method
Description
`IWindowsIdentity`
IWindowsSecurityContext.`getIdentity()`
Windows Identity.
`IWindowsIdentity`
IWindowsAuthProvider.`logonDomainUser(String username, String domain, String password)`
The LogonDomainUser function attempts to log a user on to the local computer using a network logon type and the default authentication provider.
`IWindowsIdentity`
IWindowsAuthProvider.`logonDomainUserEx(String username, String domain, String password, int logonType, int logonProvider)`
The LogonDomainUserEx function attempts to log a user on to the local computer.
`IWindowsIdentity`
IWindowsAuthProvider.`logonUser(String username, String password)`
The LogonUser function attempts to log a user on to the local computer using a network logon type and the default authentication provider.

## Uses of IWindowsIdentity in waffle.windows.auth.impl

Classes in waffle.windows.auth.impl that implement IWindowsIdentity
Modifier and Type
Class
Description
`class`
`WindowsIdentityImpl`
Windows Identity.
Methods in waffle.windows.auth.impl that return IWindowsIdentity
Modifier and Type
Method
Description
`IWindowsIdentity`
WindowsSecurityContextImpl.`getIdentity()`
`IWindowsIdentity`
WindowsAuthProviderImpl.`logonDomainUser(String username, String domain, String password)`
`IWindowsIdentity`
WindowsAuthProviderImpl.`logonDomainUserEx(String username, String domain, String password, int logonType, int logonProvider)`
`IWindowsIdentity`
WindowsAuthProviderImpl.`logonUser(String username, String password)`